> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an image

> Upload an image file. Supported formats: JPEG, PNG, GIF, WebP, HEIC. Max size: 10 MB.



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc post /alpha/merchant/images
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/merchant/images:
    post:
      tags:
        - Images
      summary: Upload an image
      description: >-
        Upload an image file. Supported formats: JPEG, PNG, GIF, WebP, HEIC. Max
        size: 10 MB.
      parameters:
        - schema:
            type: string
            description: Your Auction Now API key as a Bearer token
            example: Bearer ak_XXXXXXX
          required: true
          description: Your Auction Now API key as a Bearer token
          name: Authorization
          in: header
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '201':
          description: Image uploaded successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      url:
                        type: string
                        description: The hosted URL of the uploaded image
                      width:
                        type: number
                        description: Image width in pixels
                      height:
                        type: number
                        description: Image height in pixels
                      format:
                        type: string
                        description: Image format (e.g. jpg, png, gif, webp)
                      bytes:
                        type: number
                        description: File size in bytes
                    required:
                      - url
                      - width
                      - height
                      - format
                      - bytes
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````